Bug 814529 - Include biosdevname support in RHEV-Hypervisor ISO
Include biosdevname support in RHEV-Hypervisor ISO
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: 3.4.3
Assigned To: Joey Boggs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 01:10 EDT by Charles Rose
Modified: 2016-04-26 09:25 EDT (History)
13 users (show)

See Also:
Fixed In Version: 2.4.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 813239
Environment:
Last Closed: 2012-06-14 09:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Rose 2012-04-20 01:10:52 EDT
1. Feature Overview:
a) Name of feature:
       Include biosdevname support in RHEV-Hypervisor ISO
b) Feature Description:
       RHEL 6.1 and later ship with biosdevname support for consistent naming of ethernet devices. We would like the same functionality on RHEV-Hypervisor which as of version 3.0 ships without biosdevname. 
       
Upstream acceptance information:
       ovirt-node-2.2.0 and new naming on Dell PowerEdge servers were found to be working by adding the biosdevname package to common-pkgs in the recipe.
e) External links:
       http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming
       http://linux.dell.com/files/whitepaper/consistent_network_device_naming_in_linux.pdf
Comment 1 Charles Rose 2012-04-20 01:14:56 EDT
Quick check of "eth" name dependencies in ovirt-2.3.0 reveals these hard coded eth names.

1. collectd.conf.in:        Interface "eth0"

2. ovirt-config-boot:                    netroot=iscsi:$OVIRT_ISCSI_TARGET_IP::$OVIRT_ISCSI_TARGET_PORT::$OVIRT_ISCSI_NODE_NAME ip=eth0:dhcp"

3. network.py:            brctl_cmd = "brctl show|grep breth|awk '{print $1}'"
ovirt-config-networking:    for i in `brctl show | grep breth | awk '{print $1}'`

4. ovirt-init-functions.sh:        DEVICE=eth0
ovirt-init-functions.sh:                eth*)
ovirt-init-functions.sh:                for eth in $(cd /sys/class/net; echo eth*); do
ovirt-init-functions.sh:                bootif=$(grep -il $(echo $i|sed 's/-/:/g') /sys/class/net/eth*/address|rev|cut -d/ -f2|rev)

Note You need to log in before you can comment on or make changes to this bug.